## postgresql-numeral 1.0

=== Makefile ===
MODULE_big = numeral
OBJS = numeral.o \
	   numeralfuncs.o numerallexer.yy.o numeralparser.tab.o \
	   zahlfuncs.o zahllexer.yy.o zahlparser.tab.o \
	   romanfuncs.o romanlexer.yy.o romanparser.tab.o
EXTENSION = numeral
DATA_built = numeral--1.sql
REGRESS = extension numeral zahl roman operator
EXTRA_CLEAN = *.yy.* *.tab.*

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

INCLUDEDIR_SERVER = $(shell $(PG_CONFIG) --includedir-server)
FLOAT8PASSBYVAL = $(shell grep FLOAT8PASSBYVAL $(INCLUDEDIR_SERVER)/pg_config.h | grep -o true)
ifeq ($(FLOAT8PASSBYVAL),true)
PASSEDBYVALUE = passedbyvalue,
endif

numeral.o: numeral.c numeral.h

%.yy.c: %.l
	flex -o $@ $<

numerallexer.yy.o: numeral.h numeralparser.tab.c # actually numeralparser.tab.h
zahllexer.yy.o: numeral.h zahlparser.tab.c # actually zahlparser.tab.h
romanlexer.yy.o: numeral.h romanparser.tab.c # actually romanparser.tab.h

%.tab.c: %.y
	bison -d $<

numeralparser.tab.o: numeral.h
zahlparser.tab.o: numeral.h
romanparser.tab.o: numeral.h

# extension sql
%.sql: %.sql.in
	set -e; \
	for type in numeral zahl roman; do \
		sed -e "s/@TYPE@/$$type/g" -e "s/@PASSEDBYVALUE@/$(PASSEDBYVALUE)/" < $<; \
	done > $@

=== debian/changelog ===
postgresql-numeral (1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 11:52:55 +0200

postgresql-numeral (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Jun 2018 09:16:54 +0200

=== debian/control ===
Source: postgresql-numeral
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper (>> 9),
 flex,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.4
Vcs-Git: https://github.com/ChristophBerg/postgresql-numeral.git
Vcs-Browser: https://github.com/ChristophBerg/postgresql-numeral
Homepage: https://github.com/ChristophBerg/postgresql-numeral

Package: postgresql-11-numeral
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: numeral datatypes for PostgreSQL
 This module provides numeric data types for PostgreSQL that use
 numerals (words instead of digits) for input and output.
 .
  * numeral: English numerals (one, two, three, four, ...),
    short scale (10^9 = trillion)
  * zahl: German numerals (eins, zwei, drei, vier, ...),
    long scale (10^9 = Milliarde)
  * roman: Roman numerals (I, II, III, IV, ...)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-numeral

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## postgresql-numeral 1.3~20220627.1602-4~1.git73bd147.pgdg18.04+1

=== debian/changelog ===
postgresql-numeral (1.3~20220627.1602-4~1.git73bd147.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:55:23 +0200

postgresql-numeral (1.3-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 09:55:23 +0200

postgresql-numeral (1.3-3) unstable; urgency=medium

  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:32:27 +0200

postgresql-numeral (1.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Sep 2020 15:52:24 +0200

postgresql-numeral (1.3-1) unstable; urgency=medium

  * Fix compatibility with gcc 10. (Closes: #957701)

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jul 2020 22:10:46 +0200

postgresql-numeral (1.2-1) unstable; urgency=medium

  * Fix passbyvalue logic on PG13/32-bit.

 -- Christoph Berg <myon@debian.org>  Thu, 21 May 2020 11:08:32 +0200

postgresql-numeral (1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Fix zero numeral.
  * Support PostgreSQL 13.

 -- Christoph Berg <myon@debian.org>  Wed, 20 May 2020 23:40:45 +0200

postgresql-numeral (1.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 13:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,27 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends:
  bison,
- debhelper (>> 9),
+ debhelper (>= 11),
  flex,
- postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.1.4
-Vcs-Git: https://github.com/ChristophBerg/postgresql-numeral.git
-Vcs-Browser: https://github.com/ChristophBerg/postgresql-numeral
-Homepage: https://github.com/ChristophBerg/postgresql-numeral
+ postgresql-all (>= 217~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://github.com/df7cb/postgresql-numeral.git
+Vcs-Browser: https://github.com/df7cb/postgresql-numeral
+Homepage: https://github.com/df7cb/postgresql-numeral
+
+Package: postgresql-10-numeral
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Description: numeral datatypes for PostgreSQL
+ This module provides numeric data types for PostgreSQL that use
+ numerals (words instead of digits) for input and output.
+ .
+  * numeral: English numerals (one, two, three, four, ...),
+    short scale (10^9 = trillion)
+  * zahl: German numerals (eins, zwei, drei, vier, ...),
+    long scale (10^9 = Milliarde)
+  * roman: Roman numerals (I, II, III, IV, ...)
 
 Package: postgresql-11-numeral
 Architecture: any
@@ -25,3 +39,41 @@
     long scale (10^9 = Milliarde)
   * roman: Roman numerals (I, II, III, IV, ...)
 
+Package: postgresql-12-numeral
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Description: numeral datatypes for PostgreSQL
+ This module provides numeric data types for PostgreSQL that use
+ numerals (words instead of digits) for input and output.
+ .
+  * numeral: English numerals (one, two, three, four, ...),
+    short scale (10^9 = trillion)
+  * zahl: German numerals (eins, zwei, drei, vier, ...),
+    long scale (10^9 = Milliarde)
+  * roman: Roman numerals (I, II, III, IV, ...)
+
+Package: postgresql-13-numeral
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
+Description: numeral datatypes for PostgreSQL
+ This module provides numeric data types for PostgreSQL that use
+ numerals (words instead of digits) for input and output.
+ .
+  * numeral: English numerals (one, two, three, four, ...),
+    short scale (10^9 = trillion)
+  * zahl: German numerals (eins, zwei, drei, vier, ...),
+    long scale (10^9 = Milliarde)
+  * roman: Roman numerals (I, II, III, IV, ...)
+
+Package: postgresql-14-numeral
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: numeral datatypes for PostgreSQL
+ This module provides numeric data types for PostgreSQL that use
+ numerals (words instead of digits) for input and output.
+ .
+  * numeral: English numerals (one, two, three, four, ...),
+    short scale (10^9 = trillion)
+  * zahl: German numerals (eins, zwei, drei, vier, ...),
+    long scale (10^9 = Milliarde)
+  * roman: Roman numerals (I, II, III, IV, ...)

## postgresql-numeral 1.3~20220627.1602-4~1.git73bd147.pgdg22.04+1

=== debian/changelog ===
postgresql-numeral (1.3~20220627.1602-4~1.git73bd147.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 09:55:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends:
  bison,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  flex,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## postgresql-numeral 1.3

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,9 @@
 include $(PGXS)
 
 INCLUDEDIR_SERVER = $(shell $(PG_CONFIG) --includedir-server)
-FLOAT8PASSBYVAL = $(shell grep FLOAT8PASSBYVAL $(INCLUDEDIR_SERVER)/pg_config.h | grep -o true)
-ifeq ($(FLOAT8PASSBYVAL),true)
+# FLOAT8PASSBYVAL is derived from SIZEOF_VOID_P
+SIZEOF_VOID_P = $(shell grep '^.define SIZEOF_VOID_P' $(INCLUDEDIR_SERVER)/pg_config.h | cut -d ' ' -f 3)
+ifeq ($(SIZEOF_VOID_P),8)
 PASSEDBYVALUE = passedbyvalue,
 endif

=== debian/changelog ===
postgresql-numeral (1.3-8) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117323)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:37:42 +0200

postgresql-numeral (1.3-7) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:31:56 +0200

postgresql-numeral (1.3-6) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:30:06 +0200

postgresql-numeral (1.3-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:02:19 +0200

=== debian/control ===
Source: postgresql-numeral
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Git: https://github.com/df7cb/postgresql-numeral.git
Vcs-Browser: https://github.com/df7cb/postgresql-numeral
Homepage: https://github.com/df7cb/postgresql-numeral

Package: postgresql-18-numeral
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: numeral datatypes for PostgreSQL
 This module provides numeric data types for PostgreSQL that use
 numerals (words instead of digits) for input and output.
 .
  * numeral: English numerals (one, two, three, four, ...),
    short scale (10^9 = trillion)
  * zahl: German numerals (eins, zwei, drei, vier, ...),
    long scale (10^9 = Milliarde)
  * roman: Roman numerals (I, II, III, IV, ...)

=== debian/watch ===
version=4
https://github.com/df7cb/postgresql-numeral/tags .*/v(.*).tar.gz
